Get Campaign
curl --request GET \
--url https://api.agents.timepay.ai/api/v1/campaigns/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.agents.timepay.ai/api/v1/campaigns/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agents.timepay.ai/api/v1/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "QSoSyUUwwhwEiFhXJIUlhYxOh",
"tableId": "campaign_jyyrsvgpynmxetfiuiba_kiwwhjupmwyjabnrlillydlsw",
"rowsLen": 1,
"createdAt": "2026-01-05T14:44:15",
"updatedAt": "2026-01-05T14:44:51",
"name": "Campaign 1",
"description": "Q1 debt collection campaign for overdue accounts",
"startDate": "2025-12-31",
"startTime": "09:00",
"endDate": "2025-12-31",
"endTime": "19:00",
"collection_type": "emi",
"region": "north",
"tags": [
"priority",
"q1"
],
"languages": [
"hindi",
"english"
]
}
}
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
{
"success": false,
"error": "NotFound",
"message": "Campaign not found"
}
{
"success": false,
"error": "InternalServerError",
"message": "An unexpected error occurred"
}
Campaigns
Get Campaign
Retrieve detailed information about a specific campaign by its ID.
Get Campaign
Headers
string
required
Bearer token for authentication (e.g.,
Bearer <your_token>).Path Parameters
string
required
The unique identifier of the campaign (e.g.,
camp_abc123).Response
boolean
Indicates if the request was successful.
object
string
The error type or code (Error responses only).
string
A descriptive message explaining the error (Error responses only).
{
"success": true,
"data": {
"id": "QSoSyUUwwhwEiFhXJIUlhYxOh",
"tableId": "campaign_jyyrsvgpynmxetfiuiba_kiwwhjupmwyjabnrlillydlsw",
"rowsLen": 1,
"createdAt": "2026-01-05T14:44:15",
"updatedAt": "2026-01-05T14:44:51",
"name": "Campaign 1",
"description": "Q1 debt collection campaign for overdue accounts",
"startDate": "2025-12-31",
"startTime": "09:00",
"endDate": "2025-12-31",
"endTime": "19:00",
"collection_type": "emi",
"region": "north",
"tags": [
"priority",
"q1"
],
"languages": [
"hindi",
"english"
]
}
}
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
{
"success": false,
"error": "NotFound",
"message": "Campaign not found"
}
{
"success": false,
"error": "InternalServerError",
"message": "An unexpected error occurred"
}

